#ifndef CLANMEMBER_HPP_INCLUDED
#define CLANMEMBER_HPP_INCLUDED

#include "Talkable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class ClanMember : public Talkable
    {
        public:
            ClanMember();
            ClanMember(const void* Obj);
            ClanMember(const ClanMember& C);
            static Class GetClass();

    };
}

#endif // CLANMEMBER_HPP_INCLUDED
